postgresql92-postgresql-libs-9.2.18-1.el7.x86_64.rpm


Advertisement

Description

postgresql92-postgresql-libs - The shared libraries required for any PostgreSQL clients

Property Value
Distribution CentOS 7
Repository CentOS SCLo RH Testing x86_64
Package filename postgresql92-postgresql-libs-9.2.18-1.el7.x86_64.rpm
Package name postgresql92-postgresql-libs
Package version 9.2.18
Package release 1.el7
Package architecture x86_64
Package type rpm
Category Applications/Databases
Homepage http://www.postgresql.org/
License PostgreSQL
Maintainer -
Download size 232.48 KB
Installed size 672.56 KB
The postgresql-libs package provides the essential shared libraries for any
PostgreSQL client program or interface. You will need to install this package
to use any other PostgreSQL package or any clients that need to connect to a
PostgreSQL server.

Alternatives

Package Version Architecture Repository
postgresql92-postgresql-libs-9.2.18-1.el7.x86_64.rpm 9.2.18 x86_64 CentOS SCLo RH
postgresql92-postgresql-libs - - -

Requires

Name Value
/sbin/ldconfig -
glibc -
libc.so.6(GLIBC_2.4)(64bit) -
libcom_err.so.2()(64bit) -
libcrypto.so.10()(64bit) -
libcrypto.so.10(libcrypto.so.10)(64bit) -
libgssapi_krb5.so.2()(64bit) -
libgssapi_krb5.so.2(gssapi_krb5_2_MIT)(64bit) -
libkrb5.so.3()(64bit) -
libkrb5.so.3(krb5_3_MIT)(64bit) -
libldap_r-2.4.so.2()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libssl.so.10()(64bit) -
libssl.so.10(libssl.so.10)(64bit) -
postgresql92-runtime -
rtld(GNU_HASH) -

Provides

Name Value
libecpg.so.postgresql92-6()(64bit) -
libecpg_compat.so.postgresql92-3()(64bit) -
libpgtypes.so.postgresql92-3()(64bit) -
libpq.so.postgresql92-5()(64bit) -
postgresql92-postgresql-libs = 9.2.18-1.el7
postgresql92-postgresql-libs(x86-64) = 9.2.18-1.el7
scl-package(postgresql92) -

Download

Type URL
Mirror buildlogs.centos.org
Binary Package postgresql92-postgresql-libs-9.2.18-1.el7.x86_64.rpm
Source Package postgresql92-postgresql-9.2.18-1.el7.src.rpm

Install Howto

  1. Install CentOS SCLo RH Testing repository:
    yum install centos-release-scl-rh
  2. Install postgresql92-postgresql-libs rpm package:
    # yum --enablerepo=centos-sclo-rh-testing install postgresql92-postgresql-libs

Files

Path
/opt/rh/postgresql92/root/usr/lib64/libecpg.so.postgresql92-6
/opt/rh/postgresql92/root/usr/lib64/libecpg.so.postgresql92-6.4
/opt/rh/postgresql92/root/usr/lib64/libecpg_compat.so.postgresql92-3
/opt/rh/postgresql92/root/usr/lib64/libecpg_compat.so.postgresql92-3.4
/opt/rh/postgresql92/root/usr/lib64/libpgtypes.so.postgresql92-3
/opt/rh/postgresql92/root/usr/lib64/libpgtypes.so.postgresql92-3.3
/opt/rh/postgresql92/root/usr/lib64/libpq.so.postgresql92-5
/opt/rh/postgresql92/root/usr/lib64/libpq.so.postgresql92-5.5
/opt/rh/postgresql92/root/usr/share/doc/postgresql92-postgresql-libs-9.2.18/COPYRIGHT
/opt/rh/postgresql92/root/usr/share/locale/cs/LC_MESSAGES/ecpglibpostgresql92-6-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/cs/LC_MESSAGES/libpqpostgresql92-5-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/de/LC_MESSAGES/ecpglibpostgresql92-6-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/de/LC_MESSAGES/libpqpostgresql92-5-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/es/LC_MESSAGES/ecpglibpostgresql92-6-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/es/LC_MESSAGES/libpqpostgresql92-5-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/fr/LC_MESSAGES/ecpglibpostgresql92-6-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/fr/LC_MESSAGES/libpqpostgresql92-5-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/it/LC_MESSAGES/ecpglibpostgresql92-6-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/it/LC_MESSAGES/libpqpostgresql92-5-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/ja/LC_MESSAGES/ecpglibpostgresql92-6-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/ja/LC_MESSAGES/libpqpostgresql92-5-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/pl/LC_MESSAGES/ecpglibpostgresql92-6-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/pl/LC_MESSAGES/libpqpostgresql92-5-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/pt_BR/LC_MESSAGES/ecpglibpostgresql92-6-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/pt_BR/LC_MESSAGES/libpqpostgresql92-5-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/ru/LC_MESSAGES/ecpglibpostgresql92-6-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/ru/LC_MESSAGES/libpqpostgresql92-5-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/tr/LC_MESSAGES/ecpglibpostgresql92-6-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/tr/LC_MESSAGES/libpqpostgresql92-5-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/zh_CN/LC_MESSAGES/ecpglibpostgresql92-6-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/zh_CN/LC_MESSAGES/libpqpostgresql92-5-9.2.mo
/opt/rh/postgresql92/root/usr/share/locale/zh_TW/LC_MESSAGES/libpqpostgresql92-5-9.2.mo

Changelog

2016-08-18 - Petr Kubat <pkubat@redhat.com> - 9.2.18-1
- update to 9.2.18 per release notes
http://www.postgresql.org/docs/9.2/static/release-9-2-18.html
http://www.postgresql.org/docs/9.2/static/release-9-2-17.html
http://www.postgresql.org/docs/9.2/static/release-9-2-16.html
2016-02-16 - Pavel Kajaba <pkajaba@redhat.com> - 9.2.15-1
- update to 9.2.15 per release notes
http://www.postgresql.org/docs/9.2/static/release-9-2-15.html
2015-10-21 - Pavel Raiskup <praiskup@redhat.com> - 9.2.14-1
- update to 9.2.14 per release notes
http://www.postgresql.org/docs/9.2/static/release-9-2-14.html
2015-06-17 - Jozef Mlich <jmlich@redhat.com> - 9.2.13-1
- Rebase to 9.2.13 minor vesion per release notes:
http://www.postgresql.org/docs/9.2/static/release-9-2-13.html
CVE-2015-3165 CVE-2015-3166 CVE-2015-3167
Resolves: #1225798
2015-02-26 - Jozef Mlich <jmlich@redhat.com> - 9.2.10-1
- Rebase to 9.2.10 minor version per release notes:
http://www.postgresql.org/docs/9.2/static/release-9-2-10.html
CVE-2015-0244 CVE-2014-8161 CVE-2015-0241 CVE-2015-0243
Resolves: #1198663
2014-04-07 - Jozef Mlich <jmlich@redhat.com> 9.2.8-2
- added two dashes into scl-legacy.patch
Resolves: #1060767
2014-03-26 - Jozef Mlich <jmlich@redhat.com> 9.2.8-1
- update to 9.2.8 minor version per release notes:
http://www.postgresql.org/docs/9.2/static/release-9-2-8.html
Resolves: #1079994
2014-02-20 - Jozef Mlich <jmlich@redhat.com> 9.2.7-2
- update to 9.2.7 minor version per release notes:
http://www.postgresql.org/docs/9.2/static/release-9-2-7.html
Resolves: #1065861
including fixes for CVE-2014-0066 CVE-2014-0064 CVE-2014-0065
CVE-2014-0062 CVE-2014-0063 CVE-2014-0060 CVE-2014-0061
2014-02-17 - Jozef Mlich <jmlich@redhat.com> 9.2.6-8
- Legacy scripts are using scl enable
Resolves: #1060767
- Release bump to -8 in order to get builds from brew
2014-02-13 - Jozef Mlich <jmlich@redhat.com> 9.2.6-4
- Require /usr/bin/scl_source that is not in every scl-utils
Resolves: #1054261

See Also

Package Description
postgresql92-postgresql-plperl-9.2.18-1.el7.x86_64.rpm The Perl procedural language for PostgreSQL
postgresql92-postgresql-plpython-9.2.18-1.el7.x86_64.rpm The Python2 procedural language for PostgreSQL
postgresql92-postgresql-pltcl-9.2.18-1.el7.x86_64.rpm The Tcl procedural language for PostgreSQL
postgresql92-postgresql-server-9.2.18-1.el7.x86_64.rpm The programs needed to create and run a PostgreSQL server
postgresql92-postgresql-test-9.2.18-1.el7.x86_64.rpm The test suite distributed with PostgreSQL
postgresql92-postgresql-upgrade-9.2.18-1.el7.x86_64.rpm Support for upgrading from the previous major release of PostgreSQL
postgresql92-runtime-1.1-20.el7.x86_64.rpm Package that handles postgresql92 Software Collection
postgresql92-scldevel-1.1-20.el7.x86_64.rpm Package shipping development files for postgresql92
python27-1.1-23.el7.x86_64.rpm Package that installs python27
python27-1.1-25.el7.x86_64.rpm Package that installs python27
python27-1.1-26.1.el7.x86_64.rpm Package that installs python27
python27-MySQL-python-1.2.3-10.el7.x86_64.rpm An interface to MySQL
python27-MySQL-python-1.2.3-11.el7.x86_64.rpm An interface to MySQL
python27-PyYAML-3.10-13.el7.x86_64.rpm YAML parser and emitter for Python
python27-PyYAML-3.10-14.el7.x86_64.rpm YAML parser and emitter for Python
Advertisement
Advertisement